org.bouncycastle.asn1

## Class ASN1ParsingException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.IllegalStateException
        - - org.bouncycastle.asn1.ASN1ParsingException

All Implemented Interfaces:
  java.io.Serializable

    public class ASN1ParsingException
    extends java.lang.IllegalStateException

See Also:
  Serialized Form

### Method Summary

Methods
`java.lang.Throwable` `getCause()`

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getCause

    public java.lang.Throwable getCause()

Overrides:
  `getCause` in class `java.lang.Throwable`